Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.dom
Class AttributeMap

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NamedNodeMapImpl
            |
            +--weblogic.apache.xerces.dom.AttributeMap

public class AttributeMap
extends NamedNodeMapImpl

AttributeMap inherits from NamedNodeMapImpl and extends it to deal with the specifics of storing attributes. These are:

- managing ownership of attribute nodes
- managing default attributes
- firing mutation events

This class doesn't directly support mutation events, however, it notifies the document when mutations are performed so that the document class do so.

See Also:
  Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.NamedNodeMapImpl
`CHANGED, flags, HASDEFAULTS, nodes, ownerNode, READONLY`

Constructor Summary
`protected` | `AttributeMap(ElementImpl ownerNode, NamedNodeMapImpl defaults)` Constructs a named node map.

Method Summary
`protected void` | `cloneContent(NamedNodeMapImpl srcmap)` Override parent's method to set the ownerNode correctly
`NamedNodeMapImpl` | `cloneMap(NodeImpl ownerNode)` Cloning a NamedNodeMap is a DEEP OPERATION; it always clones all the nodes contained in the map.
`protected org.w3c.dom.Node` | `internalRemoveNamedItem(java.lang.String name, boolean raiseEx)` Internal removeNamedItem method allowing to specify whether an exception must be thrown if the specified name is not found.
`protected org.w3c.dom.Node` | `internalRemoveNamedItemNS(java.lang.String namespaceURI, java.lang.String name, boolean raiseEx)` Internal removeNamedItemNS method allowing to specify whether an exception must be thrown if the specified local name and namespace URI is not found.
`protected void` | `reconcileDefaults(NamedNodeMapImpl defaults)` Get this AttributeMap in sync with the given "defaults" map.
`protected org.w3c.dom.Node` | `removeItem(org.w3c.dom.Node item, boolean addDefault)` NON-DOM: Remove the node object NOTE: Specifically removes THIS NODE -- not the node with this name, nor the node with these contents.
`org.w3c.dom.Node` | `removeNamedItem(java.lang.String name)`
`org.w3c.dom.Node` | `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String name)` Introduced in DOM Level 2.
`org.w3c.dom.Node` | `setNamedItem(org.w3c.dom.Node arg)` Adds an attribute using its nodeName attribute.
`org.w3c.dom.Node` | `setNamedItemNS(org.w3c.dom.Node arg)` Adds an attribute using its namespaceURI and localName.

Methods inherited from class weblogic.apache.xerces.dom.NamedNodeMapImpl
`addItem, cloneMap, findNamePoint, findNamePoint, getItem, getLength, getNamedItem, getNamedItemNS, item, removeAll, removeItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeMap

    protected AttributeMap(ElementImpl ownerNode,
                           NamedNodeMapImpl defaults)

  Constructs a named node map.

Method Detail

### setNamedItem

    public org.w3c.dom.Node setNamedItem(org.w3c.dom.Node arg)
                                  throws org.w3c.dom.DOMException

  Adds an attribute using its nodeName attribute.

  Parameters:
    `arg` - An Attr node to store in this map.
  Returns:
    If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned.
  Throws:
    org.w3c.dom.DOMException - The exception description.
  Overrides:
    setNamedItem in class NamedNodeMapImpl
  See Also:
    `NamedNodeMap.setNamedItem(org.w3c.dom.Node)`

### setNamedItemNS

    public org.w3c.dom.Node setNamedItemNS(org.w3c.dom.Node arg)
                                    throws org.w3c.dom.DOMException

  Adds an attribute using its namespaceURI and localName.

  Parameters:
    `arg` - A node to store in a named node map.
  Returns:
    If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned.
  Overrides:
    setNamedItemNS in class NamedNodeMapImpl
  See Also:
    `NamedNodeMap.setNamedItem(org.w3c.dom.Node)`

### removeNamedItem

    public org.w3c.dom.Node removeNamedItem(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Overrides:
    removeNamedItem in class NamedNodeMapImpl

### removeItem

    protected org.w3c.dom.Node removeItem(org.w3c.dom.Node item,
                                          boolean addDefault)
                                   throws org.w3c.dom.DOMException

  NON-DOM: Remove the node object NOTE: Specifically removes THIS NODE -- not the node with this name, nor the node with these contents. If node does not belong to this named node map, we throw a DOMException.

  Parameters:
    `item` - The node to remove
    `addDefault` - true -- magically add default attribute
  Returns:
    Removed node
  Throws:
    org.w3c.dom.DOMException -

### internalRemoveNamedItem

    protected final org.w3c.dom.Node internalRemoveNamedItem(java.lang.String name,
                                                             boolean raiseEx)

  Internal removeNamedItem method allowing to specify whether an exception must be thrown if the specified name is not found.

### removeNamedItemNS

    public org.w3c.dom.Node removeNamedItemNS(java.lang.String namespaceURI,
                                              java.lang.String name)
                                       throws org.w3c.dom.DOMException

  Introduced in DOM Level 2.

  Removes an attribute specified by local name and namespace URI.

  Parameters:
    `namespaceURI` - The namespace URI of the node to remove. When it is null or an empty string, this method behaves like removeNamedItem.
    `The` - local name of the node to remove. If the removed attribute is known to have a default value, an attribute immediately appears containing the default value.
  Returns:
    Node The node removed from the map if a node with such a local name and namespace URI exists.
  Throws:
    NOT_FOUND_ERR: - Raised if there is no node named name in the map.
  Overrides:
    removeNamedItemNS in class NamedNodeMapImpl

### internalRemoveNamedItemNS

    protected final org.w3c.dom.Node internalRemoveNamedItemNS(java.lang.String namespaceURI,
                                                               java.lang.String name,
                                                               boolean raiseEx)

  Internal removeNamedItemNS method allowing to specify whether an exception must be thrown if the specified local name and namespace URI is not found.

### cloneMap

    public NamedNodeMapImpl cloneMap(NodeImpl ownerNode)

  Cloning a NamedNodeMap is a DEEP OPERATION; it always clones all the nodes contained in the map.

  Overrides:
    cloneMap in class NamedNodeMapImpl

### cloneContent

    protected void cloneContent(NamedNodeMapImpl srcmap)

  Override parent's method to set the ownerNode correctly

  Overrides:
    cloneContent in class NamedNodeMapImpl

### reconcileDefaults

    protected void reconcileDefaults(NamedNodeMapImpl defaults)

  Get this AttributeMap in sync with the given "defaults" map.

  Parameters:
    `defaults` - The default attributes map to sync with.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD